nix3-store-gc(1)

Warning: This program is experimental and its interface is subject to change.

Name
nix store gc - perform garbage collection on a Nix store

Synopsis
nix store gc [option…]

Examples

•   Delete unreachable paths in the Nix store:

    # nix store gc

•   Delete up to 1 gigabyte of garbage:

    # nix store gc --max 1G

Description
This command deletes unreachable paths in the Nix store.

Options

•   --dry-run
    Show what this command would do without doing it.

•   --max n
    Stop after freeing n bytes of disk space.